<meta charset="utf-8">

<script>
	
	function pulaLinha() {

		document.write("<br>");

	}

	function mostra(frase) {

		document.write(frase);
		pulaLinha();
		

	}

	var gerações = (2020 - 1500)/28

	mostra("Em média, um casal tem filhos quando atinge a idade de 28 anos. Seguindo essa média, se os portugueses chegaram em 1500 no Brasil, então, a primeira geração de brasileiros surgiu em 1528, a segunda em 1556 e assim por diante. Desde 1500 até o ano atual, quantas gerações se passaram?");

	mostra("Desde 1500 já se passaram " + (2020 - 1500) + " anos");

	mostra("Se a média de gerações é de a cada 28 anos...");

	mostra("Então já se passaram " + Math.round(gerações) + " gerações");

</script>